%define libxfontcache %mklibname xfontcache 1
%define develname %mklibname -d xfontcache
%define staticdevel %mklibname -d -s xfontcache

Name: libxfontcache
Summary:  The Xfontcache Library
Version: 1.0.5
Release: %mkrel 5
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXfontcache-%{version}.tar.bz2
BuildRequires: libx11-devel >= 1.0.0
BuildRequires: libxext-devel >= 1.0.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
The Xfontcache Library

#-----------------------------------------------------------

%package -n %{libxfontcache}
Summary:  The Xfontcache Library
Group: Development/X11
Conflicts: libxorg-x11 < 7.0
Provides: %{name} = %{version}

%description -n %{libxfontcache}
The Xfontcache Library

#-----------------------------------------------------------

%package -n %{develname}
Summary: Development files for %{name}
Group: Development/X11

Requires: %{libxfontcache} = %{version}
Requires: x11-proto-devel >= 1.0.0
Provides: libxfontcache-devel = %{version}-%{release}
Obsoletes: %{_lib}xfontcache1-devel < 1.0.5-3
Conflicts: libxorg-x11-devel < 7.0

%description -n %{develname}
Development files for %{name}

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/libXfontcache.so
%{_libdir}/pkgconfig/xfontcache.pc
%{_mandir}/man3/FontCache*
%{_mandir}/man3/Xfontcache*

#-----------------------------------------------------------

%package -n %{staticdevel}
Summary: Static development files for %{name}
Group: Development/X11
Requires: %{develname} = %{version}
Provides: libxfontcache-static-devel = %{version}-%{release}
Obsoletes: %{_lib}xfontcache1-static-devel < 1.0.5-3
Conflicts: libxorg-x11-static-devel < 7.0

%description -n %{staticdevel}
Static development files for %{name}

%files -n %{staticdevel}
%defattr(-,root,root)
%{_libdir}/libXfontcache.a

#-----------------------------------------------------------

%prep
%setup -q -n libXfontcache-%{version}

%build
%configure2_5x	--enable-static
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libxfontcache}
%defattr(-,root,root)
%{_libdir}/libXfontcache.so.1
%{_libdir}/libXfontcache.so.1.0.0


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.0.5-5.mga3
+ Revision: 358579
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 07 2012 fwang <fwang> 1.0.5-4.mga2
+ Revision: 192874
- fix req

* Sat Jan 07 2012 fwang <fwang> 1.0.5-3.mga2
+ Revision: 192847
- cnform devel package policy and drop .la files

* Tue Jan 11 2011 dmorgan <dmorgan> 1.0.5-2.mga1
+ Revision: 6501
- imported package libxfontcache

